<template>
  <div class="container">
    <keep-alive>
      <router-view class="flex1" />
    </keep-alive>
  </div>
</template>
<script lang="ts">
import { Component, Vue, Watch } from "vue-property-decorator";
import { getWxconfig } from '@/utils/index';
import axios from "axios";
declare let wx: any;
@Component({
  components: {
  }
})
export default class extends Vue {
  @Watch("$route")
  routechange(to: any, from: any) {
    // getWxconfig()
  }
  created() { }
  //判断是否微信环境
  is_weixn() {
    let ua: any = navigator.userAgent.toLowerCase();
    if (ua.match(/MicroMessenger/i) == "micromessenger") {
      return true;
    } else {
      return false;
    }
  }
}
</script>
